Tryton - Issues

 

Issue7537

Title Server / client notifications
Priority feature Status resolved
Superseder Nosy List Timitos, ced, nicoe, pokoli, reviewbot, roundup-bot, semarie
Type feature request Components sao, tryton, trytond
Assigned To nicoe Keywords review
Reviews 60271002, 66271002, 66341002
View: 60271002, 66271002, 66341002

Created on 2018-06-25.11:37:56 by nicoe, last changed by roundup-bot.

Messages
New changeset 1decbef5d7ed by Nicolas ?vrard in branch 'default':
Add bus management
https://hg.tryton.org/tryton-env/rev/1decbef5d7ed
New changeset 6d62f513f177 by Nicolas ?vrard in branch 'default':
Add bus management
https://hg.tryton.org/trytond/rev/6d62f513f177
New changeset dfac5ee59e60 by Nicolas ?vrard in branch 'default':
Add bus management
https://hg.tryton.org/tryton/rev/dfac5ee59e60
New changeset 24d7407ed47a by Nicolas ?vrard in branch 'default':
Add bus management
https://hg.tryton.org/sao/rev/24d7407ed47a
review66341002 updated at https://codereview.tryton.org/66341002/#ps260001
review66341002 updated at https://codereview.tryton.org/66341002/#ps220001
review66341002 updated at https://codereview.tryton.org/66341002/#ps200001
review66341002 updated at https://codereview.tryton.org/66341002/#ps180001
review66341002 updated at https://codereview.tryton.org/66341002/#ps160001
review66341002 updated at https://codereview.tryton.org/66341002/#ps140001
review66341002 updated at https://codereview.tryton.org/66341002/#ps120001
review66341002 updated at https://codereview.tryton.org/66341002/#ps100001
review66341002 updated at https://codereview.tryton.org/66341002/#ps80001
review66341002 updated at https://codereview.tryton.org/66341002/#ps60001
review66341002 updated at https://codereview.tryton.org/66341002/#ps40001
review66341002 updated at https://codereview.tryton.org/66341002/#ps20001
msg42870 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2018-08-10.17:29:43
* Sebastien Marie [2018-08-10 16:17:43]:
> the documentation is fine.

OK Good.

> sorry for the noise.

NP it's always good to have some feedback.
msg42868 (view) Author: [hidden] (semarie) Date: 2018-08-10.16:17:43
ah yes, I see my mistake. only `subscribe` is globally accessible via a @route.

the documentation is fine. sorry for the noise.
msg42867 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2018-08-10.15:38:20
* Sebastien Marie [2018-08-10 14:54:35]:
> 
> Sebastien Marie <semarie-openbsd@latrappe.fr> added the comment:
> 
> About the Bus.publish() method: I saw the documentation is saying it
> is permitted to notify *all* users (when `user` is `None`). Does
> some authorization is required or any user could (ab)use the Bus to
> spam others users ?

This method can only be called by module (through the notify function
for now others might be added later) so it's some code that has been
deployed on the server that would be abusing the system. So I don't
think there should be any special right to do this.

But I guess that the documentation is not clear enough so if you have
a proposition to better convey this I would be happy to add it in the
review.
msg42866 (view) Author: [hidden] (semarie) Date: 2018-08-10.14:54:34
About the Bus.publish() method: I saw the documentation is saying it is permitted to notify *all* users (when `user` is `None`). Does some authorization is required or any user could (ab)use the Bus to spam others users ?
review66341002 updated at https://codereview.tryton.org/66341002/#ps1
msg42859 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2018-08-10.12:02:26
* Sergi Almacellas Abellana [2018-08-10 11:53:28]:

> I do not have permisions to see review66341002

Indeed it was set as private.
Strange I used the script distributed by rietveld to upload it instead
of hg review obviously.

It should be fixed now.
msg42857 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2018-08-10.11:42:02
* C├ędric Krier [2018-08-09 23:03:35]:
> Why are all the reviews closed?

Because I made a global review: https://codereview.tryton.org/66341002/
msg42851 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-08-09.23:03:35
Why are all the reviews closed?
review60271002 updated at https://codereview.tryton.org/60271002/#ps330001
review60271002 updated at https://codereview.tryton.org/60271002/#ps320001
review60271002 updated at https://codereview.tryton.org/60271002/#ps300001
review60271002 updated at https://codereview.tryton.org/60271002/#ps280001
review60271002 updated at https://codereview.tryton.org/60271002/#ps260001
review66271002 updated at https://codereview.tryton.org/66271002/#ps200001
review60271002 updated at https://codereview.tryton.org/60271002/#ps240001
review60271002 updated at https://codereview.tryton.org/60271002/#ps220001
review66271002 updated at https://codereview.tryton.org/66271002/#ps180001
review66271002 updated at https://codereview.tryton.org/66271002/#ps160001
review60271002 updated at https://codereview.tryton.org/60271002/#ps200001
review60271002 updated at https://codereview.tryton.org/60271002/#ps180001
review60271002 updated at https://codereview.tryton.org/60271002/#ps160001
review60271002 updated at https://codereview.tryton.org/60271002/#ps140001
review66271002 updated at https://codereview.tryton.org/66271002/#ps140001
review60271002 updated at https://codereview.tryton.org/60271002/#ps120001
review60271002 updated at https://codereview.tryton.org/60271002/#ps100001
review66271002 updated at https://codereview.tryton.org/66271002/#ps120001
review66271002 updated at https://codereview.tryton.org/66271002/#ps100001
review60271002 updated at https://codereview.tryton.org/60271002/#ps80001
review66271002 updated at https://codereview.tryton.org/66271002/#ps60001
review60271002 updated at https://codereview.tryton.org/60271002/#ps60001
review60271002 updated at https://codereview.tryton.org/60271002/#ps40001
review66271002 updated at https://codereview.tryton.org/66271002/#ps40001
New review66271002 at https://codereview.tryton.org/66271002/#ps20001
review60271002 updated at https://codereview.tryton.org/60271002/#ps20001
New review60271002 at https://codereview.tryton.org/60271002/#ps1
msg41633 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2018-06-25.11:37:55
From: https://discuss.tryton.org/t/real-time-notification/224
History
Date User Action Args
2018-08-30 11:16:14roundup-botsetmessages: + msg43165
2018-08-30 11:16:10roundup-botsetmessages: + msg43164
2018-08-30 11:16:08roundup-botsetmessages: + msg43163
2018-08-30 11:16:05roundup-botsetstatus: in-progress -> resolved
nosy: + roundup-bot
messages: + msg43162
2018-08-29 19:56:10reviewbotsetmessages: + msg43156
2018-08-29 18:57:07reviewbotsetmessages: + msg43155
2018-08-29 15:29:08reviewbotsetmessages: + msg43153
2018-08-29 12:33:19reviewbotsetmessages: + msg43144
2018-08-28 23:27:46reviewbotsetmessages: + msg43130
2018-08-28 18:52:56reviewbotsetmessages: + msg43127

Showing 10 items. Show all history (warning: this could be VERY long)